<?php
# Configuration
define('DEBUG', true);

# Load Phraw with the starter shortcut
require_once('lib/phraw/phraw.php');
$phraw = new Phraw();
$phraw->add_include_path('lib');

# Load the Smarty extension
require_once('phraw/extensions/raintpl.php');
$raintpl = new RaintplTemplateEngine();
$raintpl->configure('path_replace', false);

$static_pages = array( # Prepare a bulk of static pages
    'secondary' => 'staticpages/secondary',
);

# Routing
if ($phraw->detect_no_trailing_slash()) { # This fix the trailing slash
    $phraw->fix_trailing_slash();
} else if ($phraw->route('')) { # Example of dynamic page
    require('./resources/views.php');
    home($phraw, $raintpl);
} else if ($phraw->bulk_route($static_pages, $page)) { # Example of static pages in bulk
    $raintpl->draw($page);
} else { # The page does not exist: display error 404
    $raintpl->display_error();
}
?>